import { Contract, EventFilter } from 'ethers';
export interface IBlockchainEvent {
    transactionHash: string;
    blockHash: string;
    values: any;
    name?: string;
    timestamp?: number;
}
export declare const getEventsFromContract: (contract: Contract, eventFilter: EventFilter) => Promise<IBlockchainEvent[]>;
